Page MenuHomeFreeBSD

Move master.passwd and group to lib/libc/gen/
ClosedPublic

Authored by brd on Aug 15 2018, 5:27 PM.

Details

Summary

This moves master.passwd to using CONFS= and reverts the logic back to the
way it was before, but by handling it in lib/libc/gen/Makefile.inc.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brd created this revision.Aug 15 2018, 5:27 PM
op added a subscriber: op.Aug 15 2018, 9:03 PM

It would be better to keep the master.passwd and other sensitive core file in it's place, and create a base file or base system metapackage, which pulls out the files from the proper place..

will accepted this revision.Aug 15 2018, 9:08 PM
This revision is now accepted and ready to land.Aug 15 2018, 9:08 PM
brd updated this revision to Diff 46771.Aug 16 2018, 1:21 PM

Update after r337882

This revision now requires review to proceed.Aug 16 2018, 1:21 PM
rgrimes accepted this revision.Aug 16 2018, 2:40 PM

This looks okay to me for just the moving of master.passwd, though I am not found of its landing location, but can I ask for 24 hours to put together the net effect patch of what was commited, and partially reverted in combination with this patch to look for any of the pointy sticks that came up. Thanks, Rod

This revision is now accepted and ready to land.Aug 16 2018, 2:40 PM
brd added a comment.Aug 16 2018, 2:57 PM

This looks okay to me for just the moving of master.passwd, though I am not found of its landing location, but can I ask for 24 hours to put together the net effect patch of what was commited, and partially reverted in combination with this patch to look for any of the pointy sticks that came up. Thanks, Rod

Sure, I am fine to wait. I will work on other stuff.

will accepted this revision.Aug 17 2018, 2:37 PM

A question has come up, isnt libc part of base, ie even in a pkgbase system libc must be installed? If that is the case then master.passwd must be installed, and I do not see a good compelling reason to move it from its current orthagonal to DESTDIR locatoin in the src tree.

brd added a comment.Aug 18 2018, 9:32 AM

A question has come up, isnt libc part of base, ie even in a pkgbase system libc must be installed? If that is the case then master.passwd must be installed, and I do not see a good compelling reason to move it from its current orthagonal to DESTDIR locatoin in the src tree.

Yes, so part of the reason is to move these to CONFS installs and the other part is to try and move things to go with the source code. I picked libc since ther are lots of functions that use master.passwd in libc.

Though I disagree with the relocation of this to libc as it is going to be installed with the absolute minimal system anyway so this delta just creates src tree churn, and user finger memory churn. You site your reason for moving it is to put it close to the sources, well, traditionally BSD sources are layed out to match the installed DESTDIR tree. I understand things like csh and sh conf files moving, that makes since in a world where csh or sh may or may not be installed by a pkgbase, however that makes no since in a world where libc and hence master.passwd shall always be installed.

How many config files are now under libc and well always be installed? Could that not of been handled by make a etc pkg that is also installed with libc?

brd added a comment.Aug 18 2018, 11:33 PM

Though I disagree with the relocation of this to libc as it is going to be installed with the absolute minimal system anyway so this delta just creates src tree churn, and user finger memory churn. You site your reason for moving it is to put it close to the sources, well, traditionally BSD sources are layed out to match the installed DESTDIR tree. I understand things like csh and sh conf files moving, that makes since in a world where csh or sh may or may not be installed by a pkgbase, however that makes no since in a world where libc and hence master.passwd shall always be installed.
How many config files are now under libc and well always be installed? Could that not of been handled by make a etc pkg that is also installed with libc?

I think the use case of not installing master.passwd is very very small.

Your last comment applies to an etc pkg as well.. And if you remove bits of the system via pkg delete that will not clean up config files with it, which I think is valuable.

brd updated this revision to Diff 49035.Oct 11 2018, 10:33 PM

Update this patch with the changes in head and include group in the same go

This revision now requires review to proceed.Oct 11 2018, 10:33 PM
brd retitled this revision from Move master.passwd to lib/libc/gen/ to Move master.passwd and group to lib/libc/gen/.Oct 11 2018, 10:36 PM
brd added reviewers: imp, gjb.
brd updated this revision to Diff 49293.Oct 18 2018, 6:08 PM

Remove a trailing semicolon that was causing build failures

will accepted this revision.Oct 25 2018, 1:49 PM
This revision is now accepted and ready to land.Oct 25 2018, 1:49 PM
manu accepted this revision.May 15 2019, 3:26 PM
rgrimes accepted this revision.May 15 2019, 7:43 PM

I thought this had already been committed?

brd added a comment.May 16 2019, 1:03 AM

No, @imp asked me to wait until 12.0 and I am finally getting back to working on it.

This revision was automatically updated to reflect the committed changes.